App\Library\Amazon\Classes\ToysBaby:
    xml_root_name: ToysBaby
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: string
        ageRecommendation:
            expose: true
            access_type: public_method
            serialized_name: AgeRecommendation
            accessor:
                getter: getAgeRecommendation
                setter: setAgeRecommendation
            type: App\Library\Amazon\Classes\AgeRecommendation
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        assemblyInstructions:
            expose: true
            access_type: public_method
            serialized_name: AssemblyInstructions
            accessor:
                getter: getAssemblyInstructions
                setter: setAssemblyInstructions
            type: string
        assemblyTime:
            expose: true
            access_type: public_method
            serialized_name: AssemblyTime
            accessor:
                getter: getAssemblyTime
                setter: setAssemblyTime
            type: App\Library\Amazon\Classes\AssemblyTimeDimensionType
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        isAssemblyRequired:
            expose: true
            access_type: public_method
            serialized_name: IsAssemblyRequired
            accessor:
                getter: getIsAssemblyRequired
                setter: setIsAssemblyRequired
            type: boolean
        manufacturerSafetyWarning:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerSafetyWarning
            accessor:
                getter: getManufacturerSafetyWarning
                setter: setManufacturerSafetyWarning
            type: string
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        numberOfPlayers:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPlayers
            accessor:
                getter: getNumberOfPlayers
                setter: setNumberOfPlayers
            type: integer
        recall:
            expose: true
            access_type: public_method
            serialized_name: Recall
            accessor:
                getter: getRecall
                setter: setRecall
            type: App\Library\Amazon\Classes\Recall
        toyAwardName:
            expose: true
            access_type: public_method
            serialized_name: ToyAwardName
            accessor:
                getter: getToyAwardName
                setter: setToyAwardName
            xml_list:
                inline: true
                entry_name: ToyAwardName
            type: array<string>
        weightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: WeightRecommendation
            accessor:
                getter: getWeightRecommendation
                setter: setWeightRecommendation
            type: App\Library\Amazon\Classes\WeightRecommendation
        heightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: HeightRecommendation
            accessor:
                getter: getHeightRecommendation
                setter: setHeightRecommendation
            type: App\Library\Amazon\Classes\HeightRecommendation
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        foldedSize:
            expose: true
            access_type: public_method
            serialized_name: FoldedSize
            accessor:
                getter: getFoldedSize
                setter: setFoldedSize
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        careInstructions:
            expose: true
            access_type: public_method
            serialized_name: CareInstructions
            accessor:
                getter: getCareInstructions
                setter: setCareInstructions
            xml_list:
                inline: true
                entry_name: CareInstructions
            type: array<string>
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        handleHeight:
            expose: true
            access_type: public_method
            serialized_name: HandleHeight
            accessor:
                getter: getHandleHeight
                setter: setHandleHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatLength:
            expose: true
            access_type: public_method
            serialized_name: SeatLength
            accessor:
                getter: getSeatLength
                setter: setSeatLength
            type: App\Library\Amazon\Classes\ToysBaby\SeatLengthAType
        seatWidth:
            expose: true
            access_type: public_method
            serialized_name: SeatWidth
            accessor:
                getter: getSeatWidth
                setter: setSeatWidth
            type: App\Library\Amazon\Classes\ToysBaby\SeatWidthAType
        tireMaterial:
            expose: true
            access_type: public_method
            serialized_name: TireMaterial
            accessor:
                getter: getTireMaterial
                setter: setTireMaterial
            type: string
        tireDiameter:
            expose: true
            access_type: public_method
            serialized_name: TireDiameter
            accessor:
                getter: getTireDiameter
                setter: setTireDiameter
            type: App\Library\Amazon\Classes\ToysBaby\TireDiameterAType
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\ToysBaby\UnitCountAType
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\ToysBaby\VariationDataAType
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        educationalValue:
            expose: true
            access_type: public_method
            serialized_name: EducationalValue
            accessor:
                getter: getEducationalValue
                setter: setEducationalValue
            type: string
